Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Not Solved Error while creating tables
#1
Not Solved
Sorry about this, but I get an error while creating the tables for MyBB in the installation wizard, and I haven't found any similar error in the forum.
Screen: https://prnt.sc/jt0f0r
MySQL server version is 8.0.11
Can someone help me with this?
Reply
#2
Not Solved
(06-09-2018, 05:42 PM)Rikys Wrote: Sorry about this, but I get an error while creating the tables for MyBB in the installation wizard, and I haven't found any similar error in the forum.
Screen: https://prnt.sc/jt0f0r
MySQL server version is 8.0.11
Can someone help me with this?

Don't use MySQL, use MySQLi. It works much better with MySQLi. 

I am running MySQLi 5.6.36
Reply
#3
Not Solved
https://github.com/mybb/mybb/issues/2921

MyBB isn't compatible with MySQL 8 yet, if you can, try and use 5.7.
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
Reply
#4
Not Solved
(06-10-2018, 12:57 PM)Matt Wrote: https://github.com/mybb/mybb/issues/2921

MyBB isn't compatible with MySQL 8 yet, if you can, try and use 5.7.

I have tried but the MySQL server  don't start
Reply
#5
Not Solved
(06-10-2018, 03:01 PM)Rikys Wrote:
(06-10-2018, 12:57 PM)Matt Wrote: https://github.com/mybb/mybb/issues/2921

MyBB isn't compatible with MySQL 8 yet, if you can, try and use 5.7.

I have tried but the MySQL server  don't start

Please re-read my post #2.
Reply
#6
Not Solved
(06-10-2018, 03:29 PM)Serpius Wrote:
(06-10-2018, 03:01 PM)Rikys Wrote:
(06-10-2018, 12:57 PM)Matt Wrote: https://github.com/mybb/mybb/issues/2921

MyBB isn't compatible with MySQL 8 yet, if you can, try and use 5.7.

I have tried but the MySQL server  dont start

Please re-read my post #2.

Sorry but isn't MySQLi an extension of MySQL?
Reply
#7
Not Solved
MySQLi is just the PHP driver with MySQL rather than anything to do with MySQL itself, and you'll already be using that as I imagine you'll be using a modern version of PHP which won't even have the old non-i extension installed.

Do you manage the server yourself or do you have a server company run it for you? We wouldn't really be able to help with downgrading MySQL or any issues with it starting.
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
Reply
#8
Not Solved
(06-10-2018, 03:38 PM)Rikys Wrote:
(06-10-2018, 03:29 PM)Serpius Wrote:
(06-10-2018, 03:01 PM)Rikys Wrote:
(06-10-2018, 12:57 PM)Matt Wrote: https://github.com/mybb/mybb/issues/2921

MyBB isn't compatible with MySQL 8 yet, if you can, try and use 5.7.

I have tried but the MySQL server  dont start

Please re-read my post #2.

Sorry but isn't MySQLi an extension of MySQL?

Yes...

The MySQLi Extension (MySQL Improved) is a relational database driver used in the PHP scripting language to provide an interface with MySQL databases. There are three main API options when considering connecting to a MySQL database server: PHP's MySQL Extension. ... PHP Data Objects (PDO)

However...

You can't mix any of the three ( mysql_* , mysqli_* , PDO ) MYSQL API's from PHP together, it just doesn't work. 
It's even in the manual FAQ: It is not possible to mix the extensions.

Go here: MyBB Installation Manual and scroll down to the paragraph 'Database Engine' and it states "If you have the option between MySQL and MySQL Improved, usually the Improved is the better choice."

Just my 2 cents.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)